Name:           fairymax
Version:        5.0b
Release:        %mkrel 2
Summary:        A XBoard compatible chess and chess-variant engine
License:        BSD
Group:          Games/Boards
URL:            https://home.hccnet.nl/h.g.muller/CVfairy.html
Source0:        https://home.hccnet.nl/h.g.muller/%{name}-5.0b.tar.gz
# From debian
Patch1:         https://salsa.debian.org/games-team/fairymax/-/raw/master/debian/patches/gcc14.patch


%description
Fairy-Max is a program that plays chess and chess variants. It uses the
xboard/winboard chess-engine protocol to communicate.  Apart from 'regular'
chess (also known as the Mad-Queen variant), it can play Capablanca chess,
gothic chess, knightmate, cylinder chess, berolina chess, superchess,
makruk (Thai chess) and courier chess. Fairy-Max can be easily configured by
the user to play other variants as well, by modifying the ini file. This ini
file describes the rules of movement of the participating pieces and the
initial board setup.

ShaMax is a version of Fairy-Max adopted to play shatranj. It implements the
baring rule.

Fairy-Max can also play shatranj, but in this case is not aware of the shatranj
rule that a bare king loses. So it might play sub-optimally in the late
end-game.

ShaMax is a version of Fairy-Max adopted to play XianQi (Chinese Chess).


%prep
%autosetup -p1

# Fix return:
sed -e 's/return;/return 0;/g' -i fairymax.c maxqi.c
# Set $prefix=/usr and $bindir=/usr/games
sed -e "s|\(prefix = \).*|\1%{_prefix}|" -e "s|\(bindir = \).*|\1%{_gamesbindir}|" \
    -i Makefile

%build
%set_build_flags
%make_build

%install
%make_install

%files
%license copyright
%doc changelog README CVfairy.html
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/
%{_gamesdatadir}/plugins/
%{_mandir}/man?/*


%changelog
* Thu Jan 23 2025 daviddavid <daviddavid> 5.0b-2.mga10
+ Revision: 2140931
- fix install game data path (thanks to Aurelian R, mga#33955)
- add debian patch to fix build with gcc 14

* Sun Sep 22 2024 papoteur <papoteur> 5.0b-1.mga10
+ Revision: 2100566
- new version 5.0b
- patents are no more in force

* Tue Mar 15 2022 umeabot <umeabot> 4.8-10.mga9.tainted
+ Revision: 1791869
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.8-9.mga8.tainted
+ Revision: 1512131
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 4.8-8.mga7.tainted
+ Revision: 1297656
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Jan 28 2016 umeabot <umeabot> 4.8-7.mga6.tainted
+ Revision: 928490
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.8-6.mga5.tainted
+ Revision: 679082
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.8-5.mga4.tainted
+ Revision: 504248
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.8-4.mga3.tainted
+ Revision: 350041
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 14 2011 kamil <kamil> 4.8-3.mga2.tainted
+ Revision: 181522
- include patch to use Mageia build-flags
- rename again the patch to remove patented chess-variants, to be more accurate with our policies

* Tue Dec 13 2011 kamil <kamil> 4.8-2.mga2.tainted
+ Revision: 181348
- rebuild against gcc 4.6.2
- rename the patch to remove patented chess variants for core
- polishing the .spec

* Wed Sep 21 2011 obgr_seneca <obgr_seneca> 4.8-1.mga2.tainted
+ Revision: 146296
- imported package fairymax


* Tue Sep 20 2011 Kamil Rytarowski <n54@gmx.com> 4.8-1
- initial package for Mageia
